oracle.pgx.api

## Enum MapType

- java.lang.Object
- - java.lang.Enum<MapType>
  - - oracle.pgx.api.MapType

- All Implemented Interfaces:
    Serializable, Comparable<MapType>

      public enum MapType
      extends Enum<MapType>

  The types of maps PGX supports.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` Default map.
    `PRIORITY_MAX` Optimized for finding maximum value of map
    `PRIORITY_MIN` Optimized for finding minimum value of map

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MapType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final MapType DEFAULT

      Default map.

    - #### PRIORITY_MAX

          public static final MapType PRIORITY_MAX

      Optimized for finding maximum value of map

    - #### PRIORITY_MIN

          public static final MapType PRIORITY_MIN

      Optimized for finding minimum value of map

  - ### Method Detail

    - #### valueOf

          public static MapType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static MapType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MapType c : MapType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.